//--- this file is machine generated ---

#include "log.h"

#ifdef SWITCH_LOGGING

typedef struct{
  ubyte       dig;
  const char* n;
  const char* n_name;
} int_str2_t;

typedef struct{
  const char* n;
  const char* n_name;
} str2_t;

typedef struct{
  const char* n;
  const char* n_name;
  str2_t* str2;
} str3_t;

int_str2_t e_str2[6] = 
{
  {  0, "e0", "__" },
  {  10, "e10", "  " },
  {  20, "e20", " " },
  {  30, "e30", "  " },
  {  31, "e31", "    " },
  {  32, "e32", "     " }
};

str2_t z_str2[8] = 
{
  { "z100", " " },
  { "z101", " " },
  { "z110", "  " },
  { "z111", "  " },
  { "z120", "   " },
  { "z121", "   " },
  { "z130", "   " },
  { "z131", "   " }
};

str2_t a0_str2[7] = 
{
  { "0", "  " },
  { "1", " ,  " },
  { "2", " ,  " },
  { "3", "  " },
  { "4", "   " },
  { "5", " " },
  { "6", " ,  " }
};

str3_t A_str3[1] = 
{
  { "A0", "  ", a0_str2 }
};

//---------------------------------------------------------------------------
void e_find(ubyte e, const char** n, const char** n_name)
{
  static const char* nothing = " !";
  *n = nothing;
  *n_name = nothing;
  for(uint i = 0; i < 6; i++)
    if(e_str2[i].dig == e){
      *n = e_str2[i].n; *n_name = e_str2[i].n_name; return;
    }
}
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
void log_a_begin_user(const char* a, const char* a_name, const char* y, const char* y_name, const char* e, const char* e_name);
void log_a_begin(ubyte a, ubyte y, ubyte e)
{
  const char *e_n, *e_n_name;
  e_find(e, &e_n, &e_n_name);
  log_a_begin_user(A_str3[a].n, A_str3[a].n_name, A_str3[a].str2[y].n, A_str3[a].str2[y].n_name, e_n, e_n_name);
}
//---------------------------------------------------------------------------
void log_a_trans_user(const char* a, const char* a_name, const char* yo, const char* yo_name, const char* yn, const char* yn_name);
void log_a_trans(ubyte a, ubyte yo, ubyte yn)
{
  log_a_trans_user(A_str3[a].n, A_str3[a].n_name, A_str3[a].str2[yo].n, A_str3[a].str2[yo].n_name, A_str3[a].str2[yn].n, A_str3[a].str2[yn].n_name);
}
//---------------------------------------------------------------------------
void log_a_end_user(const char* a, const char* a_name, const char* y, const char* y_name, const char* e, const char* e_name);
void log_a_end(ubyte a, ubyte y, ubyte e)
{
  const char *e_n, *e_n_name;
  e_find(e, &e_n, &e_n_name);
  log_a_end_user(A_str3[a].n, A_str3[a].n_name, A_str3[a].str2[y].n, A_str3[a].str2[y].n_name, e_n, e_n_name);
}
//---------------------------------------------------------------------------
//void log_x_user(const char* x, const char* x_name, ubyte res);
//void log_x(ubyte x, ubyte res)
//{
//  log_x_user(x_str2[x].n, x_str2[x].n_name, res);
//}
//---------------------------------------------------------------------------
void log_z_user(const char* z, const char* z_name);
void log_z(ubyte z)
{
  log_z_user(z_str2[z].n, z_str2[z].n_name);
}
//---------------------------------------------------------------------------
void log_write_user(char ch, const char* str);
void log_write(char ch, const char* str)
{
  log_write_user(ch, str);
}
//---------------------------------------------------------------------------

#endif
