#include "log.h"

#ifdef SWITCH_LOGGING

#include <iostream>
#include <fstream>
using namespace std;
ofstream out( "states.log" );


//---------------------------------------------------------------------------
void log_a_begin_user(const char* a, const char* a_name, const char* y, const char* y_name, const char* e, const char* e_name)
{
  out << (char)LOG_GRAPH_BEGIN << " " << a << "("<< a_name << "):   "
      << y << "(" <<y_name << ")    " << e << "(" << e_name << ")" << endl;
}
//---------------------------------------------------------------------------
void log_a_trans_user(const char* a, const char* a_name, const char* yo, const char* yo_name, const char* yn, const char* yn_name)
{
  out << (char)LOG_GRAPH_TRANS << " " << a << "("<< a_name << "):    "
      << yo << "(" << yo_name << ")   " << yn << "(" << yn_name << ")" << endl;
}
//---------------------------------------------------------------------------
void log_a_end_user(const char* a, const char* a_name, const char* y, const char* y_name, const char* e, const char* e_name)
{
  out << (char)LOG_GRAPH_END << " " << a << "("<< a_name << "):    "
      << e << "(" << e_name << ")   " << y << "(" << y_name << ")" << endl;
}
//---------------------------------------------------------------------------
//void log_x_user(const char* x, const char* x_name, ubyte res)
//{
//  out << (char)LOG_X << " " << x << " - " << x_name << " -  " << (bool)res << endl;
//}
//---------------------------------------------------------------------------
void log_z_user(const char* z, const char* z_name)
{
  out << (char)LOG_Z << " " << z << ". " << z_name << endl;
}
//---------------------------------------------------------------------------
void log_write_user(char ch, const char* str)
{
  out << ch << " " << str << endl;
}
//---------------------------------------------------------------------------

#endif
