#include "m4SpDriver.h"
#include "runtime.h"

void MarkIV_SprayerDriver::Spray()
{
    SetBoilerState(boilerOn);
    SetReliefValveState(valveClosed);
}

void MarkIV_SprayerDriver::StopSpray()
{
    SetBoilerState(boilerOff);
    SetReliefValveState(valveOpen);
}

MarkIV_SprayerDriver::HasWater()
{
    return GetBoilerStatus() == boilerNotEmpty;
}
