// $Id: runtime.h,v 1.2 1993/07/06 14:37:43 rmartin Exp rmartin $
//---------------------------
// Name
//  runtime.h
//
// Description
//  This file contains the prototypes for the runtime interface
//  to the MarkIV hardware
//
extern "C"
{
enum WarmerPlateStatus {potNotEmpty, potEmpty, warmerEmpty};
WarmerPlateStatus GetWarmerPlateStatus();

enum BoilerStatus {boilerEmpty, boilerNotEmpty};
BoilerStatus GetBoilerStatus();

enum BrewButtonStatus {brewButtonPushed, brewButtonNotPushed};
BrewButtonStatus GetBrewButtonStatus();

enum BoilerHeaterState {boilerOn, boilerOff};
void SetBoilerState(BoilerHeaterState);

enum WarmerState {warmerOn, warmerOff};
void SetWarmerState(WarmerState);

enum IndicatorState {indicatorOn, indicatorOff};
void SetIndicatorState(IndicatorState);

enum ReliefValveState {valveOpen, valveClosed};
void SetReliefValveState(ReliefValveState);
}
