#ifndef SPRAYER_SPRAYER_CLIENT_H
#define SPRAYER_SPRAYER_CLIENT_H

//-------------------------------------------------
// Name
//  SprayerClient
//
// Description
//  This class presents the interface for a generic
//  client of a coffee maker sprayer.  There is only one
//  thing a sprayer can say to its client.  It can tell them
//  that brewing is complete.
// 
class SprayerClient
{
  public:
    virtual void BrewingComplete() = 0;
};
#endif
