//--- this file is machine generated ---

#include "log.h"

#ifdef SWITCH_LOGGING

typedef struct{
  ubyte       dig;
  const char* n;
  const char* n_name;
} int_str2_t;

typedef struct{
  const char* n;
  const char* n_name;
} str2_t;

typedef struct{
  const char* n;
  const char* n_name;
  str2_t* str2;
} str3_t;

int_str2_t e_str2[13] = 
{
  {  0, "e0", "__" },
  // A1
  {  10, "e10", "  " },
  {  20, "e20", " " },
  {  30, "e30", "  " },
  {  31, "e31", "    " },
  {  32, "e32", "     " },
  // A2
  {  40, "e40", "  " },
  {  50, "e50", " " },
  {  60, "e60", "  " },
  {  61, "e61", "   " },
  // A3
  {  70, "e70", "  " },
  {  80, "e80", " " },
  {  90, "e90", "   " }
};

str2_t x_str2[1] = 
{
  // A3
  { "x1", "  " }
};

str2_t z_str2[6] = 
{
  // A1
  { "z100", "  " },
  { "z101", "  " },
  // A2
  { "z110", "    " },
  { "z111", "   " },
  // A3
  { "z120", "   " },
  { "z121", "   " }
};

str2_t a1_str2[7] = 
{
  { "0", "  " },
  { "1", " ,  " },
  { "2", " ,  " },
  { "3", "  " },
  { "4", "   " },
  { "5", " " },
  { "6", " ,  " }
};

str2_t a2_str2[3] = 
{
  { "0", "  " },
  { "1", " ,  " },
  { "2", "   " }
};

str2_t a3_str2[3] = 
{
  { "0", "  " },
  { "1", " " },
  { "2", " " }
};

str3_t A_str3[3] = 
{
  { "A1", "   ", a1_str2 },
  { "A2", "     ", a2_str2 },
  { "A3", "    ", a3_str2 }
};

//---------------------------------------------------------------------------
void e_find(ubyte e, const char** n, const char** n_name)
{
  static const char* nothing = " !";
  *n = nothing;
  *n_name = nothing;
  for(uint i = 0; i < 13; i++)
    if(e_str2[i].dig == e){
      *n = e_str2[i].n; *n_name = e_str2[i].n_name; return;
    }
}
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
void log_a_begin_user(const char* a, const char* a_name, const char* y, const char* y_name, const char* e, const char* e_name);
void log_a_begin(ubyte a, ubyte y, ubyte e)
{
  const char *e_n, *e_n_name;
  e_find(e, &e_n, &e_n_name);
  log_a_begin_user(A_str3[a].n, A_str3[a].n_name, A_str3[a].str2[y].n, A_str3[a].str2[y].n_name, e_n, e_n_name);
}
//---------------------------------------------------------------------------
void log_a_trans_user(const char* a, const char* a_name, const char* yo, const char* yo_name, const char* yn, const char* yn_name);
void log_a_trans(ubyte a, ubyte yo, ubyte yn)
{
  log_a_trans_user(A_str3[a].n, A_str3[a].n_name, A_str3[a].str2[yo].n, A_str3[a].str2[yo].n_name, A_str3[a].str2[yn].n, A_str3[a].str2[yn].n_name);
}
//---------------------------------------------------------------------------
void log_a_end_user(const char* a, const char* a_name, const char* y, const char* y_name, const char* e, const char* e_name);
void log_a_end(ubyte a, ubyte y, ubyte e)
{
  const char *e_n, *e_n_name;
  e_find(e, &e_n, &e_n_name);
  log_a_end_user(A_str3[a].n, A_str3[a].n_name, A_str3[a].str2[y].n, A_str3[a].str2[y].n_name, e_n, e_n_name);
}
//---------------------------------------------------------------------------
void log_x_user(const char* x, const char* x_name, ubyte res);
void log_x(ubyte x, ubyte res)
{
  log_x_user(x_str2[x].n, x_str2[x].n_name, res);
}
//---------------------------------------------------------------------------
void log_z_user(const char* z, const char* z_name);
void log_z(ubyte z)
{
  log_z_user(z_str2[z].n, z_str2[z].n_name);
}
//---------------------------------------------------------------------------
void log_write_user(char ch, const char* str);
void log_write(char ch, const char* str)
{
  log_write_user(ch, str);
}
//---------------------------------------------------------------------------

#endif
