VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Mark4Visualisation"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'  "VisualPart" -   Mark4 Special Coffee Mker
'   COM- "Mark4Visualisation"
Option Explicit

'  COM- "Mark4Visualisation"

'    
'    Mark4 Special Coffee Mker
Public Function GetWarmerPlateStatus() As Long
    GetWarmerPlateStatus = VForm.g_lWarmerPlateStatus
End Function

Public Function GetBoilerStatus() As Long
    GetBoilerStatus = VForm.g_lBoilerStatus
End Function

Public Function GetBrewButtonStatus() As Long
    GetBrewButtonStatus = VForm.g_lBrewButtonStatus
    VForm.g_lBrewButtonStatus = 1
End Function

Public Sub SetBoilerState(eBoilerHeaterState As Long)
    If (eBoilerHeaterState <> VForm.g_lBoilerHeaterState) Then
        VForm.g_bChanged = True
    End If
    
    VForm.g_lBoilerHeaterState = eBoilerHeaterState
    
    Call VForm.UpdateView
End Sub

Public Sub SetWarmerState(eWarmerState As Long)
    If (eWarmerState <> VForm.g_lWarmerState) Then
        VForm.g_bChanged = True
    End If
    
    VForm.g_lWarmerState = eWarmerState
    
    Call VForm.UpdateView
End Sub

Public Sub SetIndicatorState(eIndicatorState As Long)
    If (eIndicatorState <> VForm.g_lIndicatorState) Then
        VForm.g_bChanged = True
    End If
    
    VForm.g_lIndicatorState = eIndicatorState
    
    Call VForm.UpdateView
End Sub

Public Sub SetReliefValveState(eReliefValveState As Long)
    If (eReliefValveState <> VForm.g_lReliefValveState) Then
        VForm.g_bChanged = True
    End If
    
    VForm.g_lReliefValveState = eReliefValveState
    
    Call VForm.UpdateView
End Sub


'     ,     
Public Function FormAlive() As Boolean
    FormAlive = VForm.bAlive
End Function


' 
Private Sub Class_Initialize()
    '   
    Load VForm
    VForm.bAlive = True

    '    
    VForm.g_lBoilerStatus = 0           'boilerEmpty
    VForm.g_lWarmerPlateStatus = 1      'potEmpty
    VForm.g_lBrewButtonStatus = 1       'brewButtonNotPushed

    VForm.g_lBoilerHeaterState = 1      'boilerOff
    VForm.g_lWarmerState = 1            'warmerOff
    VForm.g_lIndicatorState = 1         'indicatorOff
    VForm.g_lReliefValveState = 0       'valveOpen
    
    VForm.g_lPotLevel = 0
    VForm.g_lBoilerLevel = 0
    
    VForm.g_bPotPlaced = True
    
    VForm.g_bChanged = True

    '   
    VForm.Show
End Sub

