#include "m4WmDriver.h"

void MarkIV_WarmerDriver::WarmerOn()
{
    SetWarmerState(warmerOn);
}

void MarkIV_WarmerDriver::WarmerOff()
{
    SetWarmerState(warmerOff);
}

WarmerDriver::WarmerStatus  MarkIV_WarmerDriver::GetWarmerStatus()
{
    WarmerStatus status = noPot;
    switch(GetWarmerPlateStatus())
    {
    case (::potEmpty):    status = potEmpty;    break;
    case (::potNotEmpty): status = potNotEmpty; break;
    case (::warmerEmpty): status = noPot; break;
    }
    return status;
}

