#ifndef SPRAYER_SPRAYER_H
#define SPRAYER_SPRAYER_H
class SprayerClient;
class SprayerDriver;

class Sprayer
{
  public:
    Sprayer(SprayerDriver&, SprayerClient&);
    virtual ~Sprayer();

    virtual int CheckReady() = 0;

    // External Stimuli
    virtual void Pot() = 0;
    virtual void NoPot() = 0;
    virtual void Brew() = 0;

  protected:
    SprayerDriver& GetDriver() {return itsDriver;}
    SprayerClient& GetClient() {return itsClient;}

  private:
    SprayerDriver& itsDriver;
    SprayerClient& itsClient;
};
#endif
